Version bump and cleanup, #376471
authorTobias Scherbaum <dertobi123@gentoo.org>
Wed, 27 Jul 2011 16:16:39 +0000 (16:16 +0000)
committerTobias Scherbaum <dertobi123@gentoo.org>
Wed, 27 Jul 2011 16:16:39 +0000 (16:16 +0000)
Package-Manager: portage-2.1.10.7/cvs/Linux x86_64

net-analyzer/nagios-core/ChangeLog
net-analyzer/nagios-core/files/nagios [new file with mode: 0644]
net-analyzer/nagios-core/files/nagios-3.3.1-htmlmakefile.patch [new file with mode: 0644]
net-analyzer/nagios-core/nagios-core-3.2.1.ebuild [deleted file]
net-analyzer/nagios-core/nagios-core-3.3.1.ebuild [moved from net-analyzer/nagios-core/nagios-core-3.2.0.ebuild with 95% similarity]
net-analyzer/nagios/ChangeLog
net-analyzer/nagios/nagios-3.2.1.ebuild [deleted file]
net-analyzer/nagios/nagios-3.3.1.ebuild [moved from net-analyzer/nagios/nagios-3.2.0.ebuild with 89% similarity]

index 5c0d4c5ea8cbe57933d5635f77ce8532455195fe..0cce82fd323f0961334253724c851e3646855b36 100644 (file)
@@ -1,6 +1,14 @@
 # ChangeLog for net-analyzer/nagios-core
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/ChangeLog,v 1.175 2011/07/25 16:24:10 xarthisius Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/ChangeLog,v 1.176 2011/07/27 16:14:39 dertobi123 Exp $
+
+*nagios-core-3.3.1 (27 Jul 2011)
+
+  27 Jul 2011; Tobias Scherbaum <dertobi123@gentoo.org>
+  -nagios-core-3.2.0.ebuild, -nagios-core-3.2.1.ebuild,
+  +nagios-core-3.3.1.ebuild, +files/nagios-3.3.1-htmlmakefile.patch,
+  +files/nagios:
+  Version bump and cleanup, #376471
 
   25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> nagios-core-3.2.3.ebuild:
   ppc/ppc64 stable wrt #374553
diff --git a/net-analyzer/nagios-core/files/nagios b/net-analyzer/nagios-core/files/nagios
new file mode 100644 (file)
index 0000000..cc4bad3
--- /dev/null
@@ -0,0 +1,57 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/files/nagios,v 1.12 2011/07/27 16:14:39 dertobi123 Exp $
+
+opts="${opts} reload checkconfig"
+
+depend() {
+       need net
+       use dns logger firewall
+       after mysql postgresql
+}
+
+reload()
+{
+       checkconfig || return 1
+       ebegin "Reloading configuration"
+       killall -HUP nagios &>/dev/null
+       eend $?
+}
+
+checkconfig() {
+       # Silent Check
+       /usr/nagios/bin/nagios -v /etc/nagios/nagios.cfg &>/dev/null && return 0
+
+       # Now we know there's problem - run again and display errors
+       /usr/nagios/bin/nagios -v /etc/nagios/nagios.cfg
+       eend $? "Configuration Error. Please fix your configfile"
+}
+
+start() {
+       checkconfig || return 1
+       ebegin "Starting nagios"
+       touch /var/nagios/nagios.log /var/nagios/status.sav
+       chown nagios:nagios /var/nagios/nagios.log /var/nagios/status.sav
+       rm -f /var/nagios/rw/nagios.cmd
+       start-stop-daemon --quiet --start --startas /usr/nagios/bin/nagios \
+               -e HOME="/var/nagios/home" --pidfile /var/nagios/nagios.lock \
+               -- -d /etc/nagios/nagios.cfg
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping nagios"
+       start-stop-daemon --quiet --stop --pidfile /var/nagios/nagios.lock
+       rm -f /var/nagios/status.log /var/nagios/nagios.tmp /var/nagios/nagios.lock /var/nagios/rw/nagios.cmd
+       eend $?
+}
+
+svc_restart() {
+       checkconfig || return 1
+       ebegin "Restarting nagios"
+       svc_stop
+       svc_start
+       eend $?
+}
+
diff --git a/net-analyzer/nagios-core/files/nagios-3.3.1-htmlmakefile.patch b/net-analyzer/nagios-core/files/nagios-3.3.1-htmlmakefile.patch
new file mode 100644 (file)
index 0000000..c033c98
--- /dev/null
@@ -0,0 +1,14 @@
+--- html/Makefile.in.orig      2011-07-27 16:06:58.000000000 +0200
++++ html/Makefile.in   2011-07-27 16:07:10.000000000 +0200
+@@ -75,9 +75,9 @@
+       do $(INSTALL) -m 664 $(INSTALL_OPTS) $$file $(DESTDIR)$(HTMLDIR)/images/logos; done
+       for file in includes/*.*; \
+       do $(INSTALL) -m 664 $(INSTALL_OPTS) $$file $(DESTDIR)$(HTMLDIR)/includes; done
+-      for file in includes/rss/*; \
++      for file in includes/rss/*.*; \
+       do $(INSTALL) -m 664 $(INSTALL_OPTS) $$file $(DESTDIR)$(HTMLDIR)/includes/rss; done
+-      for file in includes/rss/extlib/*; \
++      for file in includes/rss/extlib/*.*; \
+       do $(INSTALL) -m 664 $(INSTALL_OPTS) $$file $(DESTDIR)$(HTMLDIR)/includes/rss/extlib; done
+ 
+ install-unstripped:
diff --git a/net-analyzer/nagios-core/nagios-core-3.2.1.ebuild b/net-analyzer/nagios-core/nagios-core-3.2.1.ebuild
deleted file mode 100644 (file)
index ac935cb..0000000
+++ /dev/null
@@ -1,210 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/nagios-core-3.2.1.ebuild,v 1.7 2010/10/15 17:16:41 ranger Exp $
-
-EAPI="2"
-
-inherit eutils depend.apache toolchain-funcs
-
-MY_P=${PN/-core}-${PV}
-DESCRIPTION="Nagios Core - Check daemon, CGIs, docs"
-HOMEPAGE="http://www.nagios.org/"
-SRC_URI="mirror://sourceforge/nagios/${MY_P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 ppc ppc64 sparc x86"
-IUSE="debug lighttpd perl +web vim-syntax"
-DEPEND="virtual/mailx
-       web? (
-               >=media-libs/gd-1.8.3-r5[jpeg,png]
-               lighttpd? ( www-servers/lighttpd dev-lang/php[cgi] )
-               apache2? ( || ( dev-lang/php[apache2] dev-lang/php[cgi] ) )
-       )
-       perl? ( >=dev-lang/perl-5.6.1-r7 )"
-RDEPEND="${DEPEND}
-       vim-syntax? ( app-vim/nagios-syntax )"
-
-want_apache2
-
-S="${WORKDIR}/${MY_P}"
-
-pkg_setup() {
-       depend.apache_pkg_setup
-
-       enewgroup nagios
-       enewuser nagios -1 /bin/bash /var/nagios/home nagios
-}
-
-src_prepare() {
-       local strip="$(echo '$(MAKE) strip-post-install')"
-       sed -i -e "s:${strip}::" {cgi,base}/Makefile.in || die "sed failed in Makefile.in"
-}
-
-src_configure() {
-       local myconf
-
-       if use perl ; then
-               myconf="${myconf} --enable-embedded-perl --with-perlcache"
-       fi
-
-       if use debug; then
-               myconf="${myconf} --enable-DEBUG0"
-               myconf="${myconf} --enable-DEBUG1"
-               myconf="${myconf} --enable-DEBUG2"
-               myconf="${myconf} --enable-DEBUG3"
-               myconf="${myconf} --enable-DEBUG4"
-               myconf="${myconf} --enable-DEBUG5"
-       fi
-
-       if use !apache2 && use !lighttpd ; then
-               myconf="${myconf} --with-command-group=nagios"
-       else
-               if use apache2 ; then
-                       myconf="${myconf} --with-command-group=apache"
-                       myconf="${myconf} --with-httpd-conf=/etc/apache2/conf.d"
-               elif use lighttpd ; then
-                       myconf="${myconf} --with-command-group=lighttpd"
-               fi
-       fi
-
-       econf ${myconf} \
-               --prefix=/usr \
-               --bindir=/usr/sbin \
-               --sbindir=/usr/$(get_libdir)/nagios/cgi-bin \
-               --datadir=/usr/share/nagios/htdocs \
-               --localstatedir=/var/nagios \
-               --sysconfdir=/etc/nagios \
-               --libexecdir=/usr/$(get_libdir)/nagios/plugins \
-               || die "./configure failed"
-}
-
-src_compile() {
-       emake CC=$(tc-getCC) nagios || die "make failed"
-
-       if use web ; then
-               # Only compile the CGI's if "web" useflag is set.
-               emake CC=$(tc-getCC) DESTDIR="${D}" cgis || die
-       fi
-}
-
-src_install() {
-       dodoc Changelog INSTALLING LEGAL README UPGRADING
-
-       if ! use web ; then
-               sed -i -e 's/cd $(SRC_CGI) && $(MAKE) $@/# line removed due missing web use flag/' \
-                       -e 's/cd $(SRC_HTM) && $(MAKE) $@/# line removed due missing web use flag/' \
-                       Makefile
-       fi
-
-       sed -i -e 's/^contactgroups$//g' Makefile
-
-       emake DESTDIR="${D}" install
-       emake DESTDIR="${D}" install-config
-       emake DESTDIR="${D}" install-commandmode
-
-       newinitd "${FILESDIR}"/nagios3 nagios
-       newconfd "${FILESDIR}"/conf.d nagios
-
-       # Apache Module
-       if use web ; then
-               if use apache2 ; then
-                       insinto "${APACHE_MODULES_CONFDIR}"
-                       doins "${FILESDIR}"/99_nagios3.conf
-           elif use lighttpd ; then
-                       insinto /etc/lighttpd
-                       newins "${FILESDIR}/lighttpd_nagios3-r1.conf" nagios.conf
-               else
-                       ewarn "${CATEGORY}/${PF} only supports Apache-2.x or Lighttpd webserver"
-                       ewarn "out-of-the-box. Since you are not using one of them, you"
-                       ewarn "have to configure your webserver accordingly yourself."
-               fi
-
-       fi
-
-       for dir in etc/nagios var/nagios ; do
-               chown -R nagios:nagios "${D}/${dir}" || die "Failed chown of ${D}/${dir}"
-       done
-
-       chown -R root:root "${D}"/usr/$(get_libdir)/nagios
-       find "${D}"/usr/$(get_libdir)/nagios -type d -print0 | xargs -0 chmod 755
-       find "${D}"/usr/$(get_libdir)/nagios/cgi-bin -type f -print0 | xargs -0 chmod 755
-
-       keepdir /etc/nagios
-       keepdir /var/nagios
-       keepdir /var/nagios/archives
-       keepdir /var/nagios/rw
-       keepdir /var/nagios/spool/checkresults
-
-       if use !apache2 && use !lighttpd; then
-               chown -R nagios:nagios "${D}"/var/nagios/rw || die "Failed chown of ${D}/var/nagios/rw"
-       else
-               if use apache2 ; then
-                       chown -R nagios:apache "${D}"/var/nagios/rw || die "Failed chown of ${D}/var/nagios/rw"
-               elif use lighttpd ; then
-                       chown -R nagios:lighttpd "${D}"/var/nagios/rw || die "Failed chown of ${D}/var/nagios/rw"
-               fi
-       fi
-
-       chmod ug+s "${D}"/var/nagios/rw || die "Failed Chmod of ${D}/var/nagios/rw"
-       chmod 0750 "${D}"/etc/nagios || die "Failed chmod of ${D}/etc/nagios"
-}
-
-pkg_postinst() {
-       elog "If you want nagios to start at boot time"
-       elog "remember to execute:"
-       elog "  rc-update add nagios default"
-       elog
-
-       if use web ; then
-               elog "This does not include cgis that are perl-dependent"
-               elog "Currently traceroute.cgi is perl-dependent"
-               elog "To have ministatus.cgi requires copying of ministatus.c"
-               elog "to cgi directory for compiling."
-
-               elog "Note that the user your webserver is running at needs"
-               elog "read-access to /etc/nagios."
-               elog
-
-               if use apache2 || use lighttpd ; then
-                       elog "There are several possible solutions to accomplish this,"
-                       elog "choose the one you are most comfortable with:"
-                       elog
-                       if use apache2 ; then
-                               elog "  usermod -G nagios apache"
-                               elog "or"
-                               elog "  chown nagios:apache /etc/nagios"
-                               elog
-                               elog "Also edit /etc/conf.d/apache2 and add \"-D NAGIOS\""
-                       elif use lighttpd ; then
-                               elog "  usermod -G nagios lighttpd "
-                               elog "or"
-                               elog "  chown nagios:lighttpd /etc/nagios"
-                       fi
-                       elog
-                       elog "That will make nagios's web front end visable via"
-                       elog "http://localhost/nagios/"
-                       elog
-               else
-                       elog "IMPORTANT: Do not forget to add the user your webserver"
-                       elog "is running as to the nagios group!"
-               fi
-
-       else
-               elog "Please note that you have installed Nagios without web interface."
-               elog "Please don't file any bugs about having no web interface when you do this."
-               elog "Thank you!"
-       fi
-
-       elog
-       elog "If your kernel has /proc protection, nagios"
-       elog "will not be happy as it relies on accessing the proc"
-       elog "filesystem. You can fix this by adding nagios into"
-       elog "the group wheel, but this is not recomended."
-       elog
-}
-
-pkg_postinst() {
-       einfo "Fixing permissions"
-       chown nagios:nagios "${ROOT}"var/nagios
-}
similarity index 95%
rename from net-analyzer/nagios-core/nagios-core-3.2.0.ebuild
rename to net-analyzer/nagios-core/nagios-core-3.3.1.ebuild
index 70a4ed9530e9b256e839e3d93794f8defc4d581a..726542f3e383b1da8276ced3cee8111c9e85afcb 100644 (file)
@@ -1,6 +1,6 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/nagios-core-3.2.0.ebuild,v 1.4 2010/05/09 17:14:10 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios-core/nagios-core-3.3.1.ebuild,v 1.1 2011/07/27 16:14:39 dertobi123 Exp $
 
 EAPI="2"
 
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/nagios/${MY_P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="alpha amd64 ppc ~ppc64 sparc x86"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
 IUSE="debug lighttpd perl +web vim-syntax"
 DEPEND="virtual/mailx
        web? (
@@ -27,7 +27,7 @@ RDEPEND="${DEPEND}
 
 want_apache2
 
-S="${WORKDIR}/${MY_P}"
+S="${WORKDIR}/${PN/-core}"
 
 pkg_setup() {
        depend.apache_pkg_setup
@@ -37,6 +37,7 @@ pkg_setup() {
 }
 
 src_prepare() {
+       epatch "${FILESDIR}/nagios-3.3.1-htmlmakefile.patch"
        local strip="$(echo '$(MAKE) strip-post-install')"
        sed -i -e "s:${strip}::" {cgi,base}/Makefile.in || die "sed failed in Makefile.in"
 }
@@ -102,6 +103,7 @@ src_install() {
        emake DESTDIR="${D}" install
        emake DESTDIR="${D}" install-config
        emake DESTDIR="${D}" install-commandmode
+       emake DESTDIR="${D}" install-classicui
 
        newinitd "${FILESDIR}"/nagios3 nagios
        newconfd "${FILESDIR}"/conf.d nagios
@@ -126,6 +128,8 @@ src_install() {
                chown -R nagios:nagios "${D}/${dir}" || die "Failed chown of ${D}/${dir}"
        done
 
+       dosbin p1.pl
+
        chown -R root:root "${D}"/usr/$(get_libdir)/nagios
        find "${D}"/usr/$(get_libdir)/nagios -type d -print0 | xargs -0 chmod 755
        find "${D}"/usr/$(get_libdir)/nagios/cgi-bin -type f -print0 | xargs -0 chmod 755
index 492b5cfbdeb8d7fe883d2be7f885ebb8bff56a64..41edb7e80e2b6e64631aba9694338be035855f40 100644 (file)
@@ -1,6 +1,12 @@
 # ChangeLog for net-analyzer/nagios
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios/ChangeLog,v 1.102 2011/07/25 16:27:02 xarthisius Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios/ChangeLog,v 1.103 2011/07/27 16:16:39 dertobi123 Exp $
+
+*nagios-3.3.1 (27 Jul 2011)
+
+  27 Jul 2011; Tobias Scherbaum <dertobi123@gentoo.org> -nagios-3.2.0.ebuild,
+  -nagios-3.2.1.ebuild, +nagios-3.3.1.ebuild:
+  Version bump and cleanup, #376471
 
   25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> nagios-3.2.3.ebuild:
   ppc/ppc64 stable wrt #374553
diff --git a/net-analyzer/nagios/nagios-3.2.1.ebuild b/net-analyzer/nagios/nagios-3.2.1.ebuild
deleted file mode 100644 (file)
index d0fb6c3..0000000
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios/nagios-3.2.1.ebuild,v 1.7 2010/10/15 17:18:11 ranger Exp $
-
-inherit multilib
-
-DESCRIPTION="The Nagios metapackage - merge this to pull install all of the nagios packages"
-HOMEPAGE="http://www.nagios.org"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 ppc ppc64 sparc x86"
-IUSE=""
-
-RDEPEND="~net-analyzer/nagios-core-${PV}
-       >=net-analyzer/nagios-plugins-1.4.13-r1
-       >=net-analyzer/nagios-imagepack-1.0-r100"
-
-pkg_setup() {
-       # Avoid upgrading from Nagios <3 as the directory structure has changed
-       if has_version '<net-analyzer/nagios-3.0' ; then
-               if [[ "${FORCE_UPGRADE}" ]] ; then
-                       echo
-                       ewarn "you are upgrading from an incompatible version and have"
-                       ewarn "FORCE_UPGRADE set, will build this package while Nagios is running."
-                       echo
-               else
-                       echo
-                       eerror "You are upgrading from an incompatible version."
-                       eerror "Please be advised that installation paths have changed to a more FHS"
-                       eerror "compliant structure and you won't be able to easily upgrade to"
-                       eerror "Nagios 3 therefore. You will have to change your configuration"
-                       eerror "to reflect this change, for example Nagios plugins are now installed"
-                       eerror "into /usr/$(get_libdir)/nagios/plugins/ instead of /usr/nagios/libexec."
-                       echo
-                       eerror "If you want to upgrade now, emerge nagios with:"
-                       eerror "    FORCE_UPGRADE=1 emerge nagios"
-                       die "Upgrading from an incompatible version!"
-                       echo
-               fi
-       fi
-}
-
-pkg_postrm() {
-       elog "Note: this is a META ebuild for ${P}."
-       elog "to remove it completely or before re-emerging"
-       elog "either use 'depclean', or remove/re-emerge these packages:"
-       elog
-       for dep in ${RDEPEND}; do
-               elog "     ${dep}"
-       done
-       echo
-}
similarity index 89%
rename from net-analyzer/nagios/nagios-3.2.0.ebuild
rename to net-analyzer/nagios/nagios-3.3.1.ebuild
index 16636a087ccf4e054e346924044eab7c54420b53..04b90d8de7ea85d07eed8dca973ce7201aca8610 100644 (file)
@@ -1,6 +1,6 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios/nagios-3.2.0.ebuild,v 1.4 2010/05/09 17:15:07 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/nagios/nagios-3.3.1.ebuild,v 1.1 2011/07/27 16:16:39 dertobi123 Exp $
 
 inherit multilib
 
@@ -9,12 +9,12 @@ HOMEPAGE="http://www.nagios.org"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="alpha amd64 ppc ~ppc64 sparc x86"
+KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
 IUSE=""
 
 RDEPEND="~net-analyzer/nagios-core-${PV}
        >=net-analyzer/nagios-plugins-1.4.13-r1
-       >=net-analyzer/nagios-imagepack-1.0-r100"
+       !net-analyzer/nagios-imagepack"
 
 pkg_setup() {
        # Avoid upgrading from Nagios <3 as the directory structure has changed